Apache JMeter

## org.apache.jmeter.protocol.http.parser
Class HTMLParseException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.jmeter.protocol.http.parser.HTMLParseException

All Implemented Interfaces:
  Serializable

public class HTMLParseException
extends Exception

See Also:
  Serialized Form

Constructor Summary
`HTMLParseException()`
`HTMLParseException(String message)`
`HTMLParseException(String message, Throwable cause)`
`HTMLParseException(Throwable cause)`

Method Summary
`Throwable` `getCause()` Local verstion of getCause() for JDK1.3 support

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLParseException

    public HTMLParseException()

### HTMLParseException

    public HTMLParseException(String message)

Parameters:
  `message` -

### HTMLParseException

    public HTMLParseException(Throwable cause)

Parameters:
  `cause` -

### HTMLParseException

    public HTMLParseException(String message,
                              Throwable cause)

Parameters:
  `message` -
  `cause` -

Method Detail

### getCause

    public Throwable getCause()

  Local verstion of getCause() for JDK1.3 support

Apache JMeter

Copyright © 1998-2009 Apache Software Foundation. All Rights Reserved.